Name:		libuecp
Version:	0.1.2
Release:	1
Summary:	UECP 490 library.

Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
BuildRequires:	perl
BuildRequires:	swig
BuildRequires:	glib2-devel
Requires:	glib2

%description
libuecp is a library that implements parts of SBC490, the UECP protocol
for binary communication with RDS encoders.

%package devel
Summary:	libuecp development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
libuecp-devel contains the files necessary to build packages that use libuecp.

%package perl
Summary:	libuecp perl module.
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl >= 5

%description perl
libuecp-perl contains a perl interface to libuecp.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

### regenerate Makefile.PL
cd perl/UECP && perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} && cd ../..
cd perl/UECP-Messager && perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} && cd ../..
make DESTDIR=$RPM_BUILD_ROOT install

### clean up unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/libuecp.la
# older redhats managed to make this end up in / !
rm $RPM_BUILD_ROOT%{_libdir}/perl5/*/*/perllocal.pod && true
rm $RPM_BUILD_ROOT%{_libdir}/perl5/*/*/*/perllocal.pod && true
rm $RPM_BUILD_ROOT%{_libdir}/perl5/*/*/*/auto/UECP/.packlist
rm $RPM_BUILD_ROOT%{_libdir}/perl5/*/*/*/auto/UECP/Messager/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO 
%{_libdir}/libuecp.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libuecp.so
%{_libdir}/libuecp.a
%{_includedir}/libuecp/libuecp/*.h
%{_libdir}/pkgconfig/libuecp.pc

%files perl
%defattr(-,root,root)
%dir /usr/lib/perl5/*/*/*/auto/UECP
/usr/lib/perl5/*/*/*/auto/UECP/UECP.bs
/usr/lib/perl5/*/*/*/auto/UECP/UECP.so
/usr/lib/perl5/*/*/*/UECP.pm
%dir /usr/lib/perl5/*/*/UECP
/usr/lib/perl5/*/*/UECP/Messager.pm
%{_mandir}/man3/*.gz

%changelog
* Mon Jan 06 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- initial spec file
