/* frame.h - General Frame Format implementation
 *
 * Copyright (C) 2002,2003,2004,2005 Thomas Vander Stichele
 *               <thomas at apestaart dot org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef LIBUECP_FRAME_H
#define LIBUECP_FRAME_H

typedef struct _UecpFrame UecpFrame;

struct _UecpFrame
{
	unsigned int    site_address;
	unsigned int    encoder_address;
	unsigned char   sequence_counter;
	unsigned char   field_length;           /* message field length */
	GList           *field;			/* GList of UecpElement */
};

UecpFrame *	uecp_frame_new			();
void		uecp_frame_dispose		(UecpFrame *frame);
void		uecp_frame_reset		(UecpFrame *frame);

gboolean	uecp_frame_add_element		(UecpFrame *frame,
						 UecpElement *element);
void		uecp_frame_set_field		(UecpFrame *frame,
						 GList *field);
void		uecp_frame_set_site_address	(UecpFrame *frame,
						 unsigned int site_address);
void		uecp_frame_set_encoder_address	(UecpFrame *frame,
						 unsigned int encoder_address);
void		uecp_frame_set_sequence_counter	(UecpFrame *frame,
		                                 unsigned char counter);

unsigned char *	uecp_frame_render		(UecpFrame *frame);
void		uecp_frame_debug		(UecpFrame *frame);

#endif /* LIBUECP_FRAME_H */

