/* test-messager.c - tests for messager.c
 *
 * Copyright (C) 2002,2003,2004,2005 Thomas Vander Stichele
 *               <thomas at apestaart dot org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>

#include <glib.h>

#include <libuecp/libuecp.h>

static void
dump_buffer (const unsigned char *ptr)
{
	unsigned char *p;
	printf ("Dumping buffer %p, starting with %2x\n", ptr, *ptr);
	for (p = (unsigned char *) ptr; *p != 0xff; ++p)
	{
		printf ("%02X  ", *p);
	}
	printf ("%02X  \n", *p);

}

int
main (int argc, char *argv[])
{
	UecpMessager *messager;
	unsigned char *buffer;

	messager = uecp_messager_new ();
	uecp_messager_set_site_address (messager, 1023);
	uecp_messager_set_encoder_address (messager, 3);
	uecp_messager_set_data_set_number (messager, 0);
	uecp_messager_set_program_service_number (messager, 0);

	buffer = uecp_messager_ps (messager, "UECP");
	/* do it twice so we get a sqc of 2 to compare with frame-test */
	buffer = uecp_messager_ps (messager, "UECP");

	dump_buffer (buffer);
	g_free (buffer);

	buffer = uecp_messager_rt (messager, "UECP does radiotext too",
				   FALSE, 0, FALSE);
	dump_buffer (buffer);
	g_free (buffer);

	return 0;
}
